<ng-container *ngIf="!editing; else formTemplate">
  <div class="content-wrapper">
    <div class="item-header-wrapper">
      <svg aria-hidden="true" class="arabesque-top" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 879.12 150">
        <defs>
          <style>
            .arabesque-top-1 {
              fill: var(--arabesque-top-shadow, #777);
            }

            .arabesque-top-2 {
              fill: var(--arabesque-top, #fff);
            }
          </style>
        </defs>
        <path class="arabesque-top-1"
          d="M869.35,113c-2.48-4.09-10.74-16.58-24.09-18-4.53-.49-7.94.45-11.77,1.58-19.72,5.81-22.28,21.72-38.22,21.72-7.16,0-12.68-3.16-19.74-7.24-14.79-8.53-16.42-17.53-29-20.66-2.68-.67-9.25-2.33-15.93.45-6.91,2.88-9,8.46-13.57,15.08,11.05-17.38,14.05-46-1.77-59.82-9.55-8.42-27.68-12.83-39-3.42-10.81,9-13,28.55-4.44,36.15,4.95,4.38,14.78,6,19.73,1,4.12-4.16,4.71-12.73.53-16.09-2.63-2.12-7.31-2.27-9.76-.27a6.91,6.91,0,0,0-2,3.49c-.07,0,.42-6.12,4.49-9.2,5.16-3.94,13.13-2.75,17.93,1.06,6.21,4.88,6.07,13.32,6.07,15-.18,12.63-11.46,24.28-21.9,29.28-11.46,5.56-26.26,5.26-41.11,1.13,4.31-2.83,9-8.24,8.54-14.52-.3-4.81-3.61-10.79-9.43-12-5.26-1.1-11.48,2-12.66,6.33-.49,1.82-.41,4.51,1.32,6.06s4.5,1.12,4.57,1.71-2,1.32-2.53,1.47c-3.71,1.13-12.81-1.08-21.37-3.6a102.73,102.73,0,0,1-15-12C591.32,70,581.83,58,564.17,51.87a62.57,62.57,0,0,0-20-3.69c-7.61-.11-10.08,1.32-27.43,4.74-18.34,3.64-23.4,3.16-26.9,2.64-6.47-1-14-2.07-18.47-8.44-3.85-5.54-5.28-15,.29-21.4,5.31-6,15.24-7.16,20.31-3.16,3.46,2.73,5.15,8.23,3.95,9.23-.67.55-2.32-.28-3.79-1.28a7.15,7.15,0,0,0-5.7,0c-2.92,1.27-3.72,4.27-4,5.27a10.29,10.29,0,0,0,1.32,7.91,15,15,0,0,0,6.33,3.7c6.94,2,12.82-2.1,14-2.9a18.49,18.49,0,0,0,6.33-7.39C514.12,29,512,18.17,507,11.78,497.32-.58,473.22-1.39,459.22,10c-7.27,6-11,14.61-11.92,23.76-.89-9.17-4.63-17.85-11.92-23.81-14-11.42-38.1-10.61-47.76,1.75-5,6.39-7.14,17.19-3.43,25.32a18.56,18.56,0,0,0,6.33,7.39c1.18.8,7.06,4.85,14,2.9a15.19,15.19,0,0,0,6.33-3.7,10.29,10.29,0,0,0,1.32-7.91c-.28-1-1.08-4-4-5.27a7.15,7.15,0,0,0-5.7,0c-1.47,1-3.12,1.83-3.79,1.28-1.2-1,.49-6.5,3.95-9.23,5.07-4,15-2.88,20.31,3.16,5.57,6.35,4.14,15.86.29,21.4-4.43,6.37-12,7.49-18.47,8.44-3.5.52-8.56,1-26.9-2.64C360.51,49.45,358,48,350.43,48.13a62.08,62.08,0,0,0-20,3.69c-17.66,6.09-27.15,18.09-35.05,25.85a103.4,103.4,0,0,1-15,12c-8.56,2.51-17.66,4.73-21.37,3.6-.49-.15-2.6-.88-2.53-1.47s2.84-.16,4.57-1.71,1.81-4.24,1.32-6.06c-1.18-4.36-7.4-7.43-12.66-6.33-5.82,1.21-9.13,7.19-9.43,12-.4,6.28,4.23,11.69,8.54,14.51-14.85,4.13-29.65,4.43-41.11-1.12-10.44-5-21.72-16.65-21.9-29.28,0-1.68-.14-10.12,6.07-15,4.8-3.81,12.77-5,17.93-1.06,4.07,3.08,4.56,9.2,4.49,9.2a6.8,6.8,0,0,0-2-3.49c-2.45-2-7.13-1.85-9.76.27-4.18,3.36-3.59,11.93.53,16.09,4.95,5,14.78,3.38,19.73-1,8.51-7.6,6.37-27.17-4.44-36.15-11.32-9.41-29.45-5-39,3.42-15.82,13.85-12.82,42.44-1.76,59.82C173,99.24,170.91,93.66,164,90.79c-6.68-2.78-13.25-1.12-15.93-.45-12.58,3.13-14.21,12.13-29,20.66-7.06,4.08-12.58,7.27-19.74,7.24-15.94,0-18.5-15.91-38.22-21.72-1.06-.32-18.59-5.18-35.15,3.82h0C21.72,103,9.32,110.73,7.79,120.66c0,.07,0,.19,0,.35,0,1.49,0,3,0,4.5q0,3,0,6c.6-1.17,1.51-2.56,2.64-2.57,3.11,0,3.05,10.05,8.3,15.92,4.57,5.1,14.38,3.16,33.83-.69,8.36-1.65,12.44-3.11,23.58-4.83,5.39-.84,9.86-1.34,12.87-1.63a43.85,43.85,0,0,0,10.07,2c17.3,1.34,31.09-8.45,36.66-12.53,13-9.53,11.28-14.63,18-16.13,14.32-3.22,21.86,21.34,41.93,26.28a39.51,39.51,0,0,0,9.51,1.1c1.13.47,2.28.94,3.44,1.39,8.77,3.36,15.42,4.59,26.91,6.73a257.6,257.6,0,0,0,64.08,3.95c37.74-2.82,32-12.18,60.14-11.87a327.4,327.4,0,0,1,66.85,7.92c9.2,2.26,14,4,19.78,1.58.32-.13.62-.29.93-.44.35.17.7.35,1.05.49,5.78,2.4,10.59.69,19.78-1.58a327,327,0,0,1,66.86-7.91c28.11-.31,22.39,9.05,60.13,11.87a257.39,257.39,0,0,0,64.09-4c11.48-2.13,18.13-3.36,26.9-6.72,1.16-.45,2.31-.92,3.44-1.4a38.53,38.53,0,0,0,9.51-1.1c20.07-4.94,27.61-29.5,41.93-26.28,6.72,1.5,5,6.6,18,16.13,5.57,4.08,19.36,13.87,36.66,12.53a43.12,43.12,0,0,0,10.07-2c3,.3,7.48.8,12.87,1.63,11.14,1.73,15.22,3.18,23.58,4.84,17.57,3.47,29.1,5.91,33.83.69C883.37,136.74,870,114.17,869.35,113ZM439.13,65.52a47.63,47.63,0,0,0,8.17-22.65,47.57,47.57,0,0,0,8.17,22.7,39.52,39.52,0,0,0,5.25,5.9,39.27,39.27,0,0,0-13.37,4.78,39.64,39.64,0,0,0-13.46-4.84A39.94,39.94,0,0,0,439.13,65.52Z" />
        <path class="arabesque-top-2"
          d="M879.12,124.4c0-1.51,0-3,0-4.5,0-.17,0-.29-.05-.35-1.53-9.93-13.93-17.68-18.17-20.33h0c-16.56-9-34.09-4.13-35.15-3.82-19.72,5.81-22.28,21.72-38.22,21.72-7.16,0-12.68-3.16-19.74-7.24-14.79-8.53-16.42-17.53-29-20.66-2.68-.67-9.25-2.33-15.93.45-6.91,2.88-9,8.46-13.58,15.08,11.06-17.38,14.06-46-1.76-59.82-9.55-8.42-27.68-12.83-39-3.42-10.81,9-13,28.55-4.44,36.15,5,4.38,14.78,6,19.73,1,4.12-4.16,4.71-12.73.53-16.09-2.63-2.12-7.31-2.27-9.76-.27a6.84,6.84,0,0,0-2,3.49c-.07,0,.42-6.12,4.49-9.2,5.16-3.94,13.13-2.75,17.93,1.06,6.21,4.88,6.07,13.32,6.07,15-.18,12.63-11.46,24.28-21.9,29.28-11.46,5.56-26.26,5.26-41.11,1.13,4.31-2.83,8.94-8.24,8.54-14.52-.3-4.81-3.61-10.79-9.43-12-5.26-1.1-11.48,2-12.66,6.33-.49,1.82-.41,4.51,1.32,6.06s4.5,1.12,4.57,1.71-2,1.32-2.53,1.47c-3.71,1.13-12.81-1.08-21.37-3.6a102.73,102.73,0,0,1-15-12c-7.9-7.76-17.39-19.76-35.05-25.85a62.62,62.62,0,0,0-20-3.69c-7.61-.11-10.08,1.32-27.43,4.74-18.34,3.64-23.4,3.16-26.9,2.64-6.47-1-14-2.07-18.47-8.44-3.85-5.54-5.28-15.05.29-21.4,5.31-6,15.24-7.16,20.31-3.16,3.46,2.73,5.15,8.23,3.95,9.23-.67.55-2.32-.28-3.79-1.28a7.15,7.15,0,0,0-5.7,0c-2.92,1.27-3.72,4.27-4,5.27A10.29,10.29,0,0,0,476,42.52a15,15,0,0,0,6.33,3.7c6.94,2,12.82-2.1,14-2.9a18.57,18.57,0,0,0,6.33-7.39c3.71-8.13,1.57-18.93-3.43-25.32-9.66-12.36-33.76-13.17-47.76-1.75-7.28,6-11,14.61-11.92,23.76-.9-9.17-4.63-17.85-11.92-23.81-14-11.42-38.1-10.61-47.76,1.75-5,6.39-7.14,17.19-3.43,25.32a18.56,18.56,0,0,0,6.33,7.39c1.18.8,7.06,4.85,14,2.9a15.26,15.26,0,0,0,6.33-3.7,10.29,10.29,0,0,0,1.32-7.91c-.28-1-1.08-4-4-5.27a7.15,7.15,0,0,0-5.7,0c-1.47,1-3.12,1.83-3.79,1.28-1.2-1,.49-6.5,3.95-9.23,5.07-4,15-2.88,20.31,3.16,5.57,6.35,4.14,15.86.29,21.4-4.43,6.37-12,7.49-18.47,8.44-3.5.52-8.56,1-26.9-2.64-17.35-3.42-19.82-4.85-27.43-4.74a62,62,0,0,0-20,3.69C305,56.74,295.51,68.74,287.61,76.5a103.4,103.4,0,0,1-15,12c-8.56,2.51-17.66,4.73-21.37,3.6-.49-.15-2.6-.88-2.53-1.47s2.84-.16,4.57-1.71,1.81-4.24,1.32-6.06c-1.18-4.36-7.4-7.43-12.66-6.33-5.82,1.21-9.13,7.19-9.43,12-.41,6.28,4.23,11.69,8.53,14.51-14.85,4.13-29.64,4.43-41.1-1.12-10.44-5-21.72-16.65-21.9-29.28,0-1.68-.14-10.12,6.07-15,4.8-3.81,12.77-5,17.93-1.06,4.07,3.08,4.56,9.2,4.49,9.2a6.87,6.87,0,0,0-2-3.49c-2.45-2-7.13-1.85-9.76.27-4.18,3.36-3.59,11.93.53,16.09,4.95,5,14.78,3.38,19.73-1,8.51-7.6,6.37-27.17-4.44-36.15-11.32-9.41-29.45-5-39,3.42-15.82,13.85-12.82,42.44-1.77,59.82-4.53-6.63-6.66-12.21-13.57-15.08-6.68-2.78-13.25-1.12-15.93-.45-12.58,3.13-14.21,12.13-29,20.66-7.06,4.08-12.58,7.27-19.74,7.24-15.94,0-18.5-15.91-38.22-21.72-1.06-.32-18.6-5.18-35.15,3.82h0C14,101.82,1.55,109.56,0,119.49c0,.07,0,.19,0,.35,0,1.49,0,3,0,4.5v.3H-.19v26.1H879V130.31a.75.75,0,0,1,.07.12Q879.13,127.43,879.12,124.4ZM733.16,110c6.37,1.42,5.16,6.08,16.09,14.68H709.81C718,116.59,724.31,108,733.16,110ZM431.36,64.35a47.51,47.51,0,0,0,8.16-22.65,47.68,47.68,0,0,0,8.18,22.7,40,40,0,0,0,5.24,5.9,39.34,39.34,0,0,0-13.37,4.78,39.57,39.57,0,0,0-13.46-4.84A39.44,39.44,0,0,0,431.36,64.35ZM145.9,109.91c8.87-2,15.14,6.67,23.4,14.73H129.74C140.74,116,139.51,111.33,145.9,109.91Z" />
      </svg>
      <p class="item-header">
        {{ item.brand.name }}<br>
        {{ item.collectionn }}<br>
        {{ item.category.name }} <span *ngIf="item.category.shortname">({{ item.category.shortname }})</span>
      </p>
      <div *ngIf="item.status === 'draft' || isDraft" class="mark-as-draft">Draft</div>
      <div *ngIf="item.incomplete" class="mark-as-incomplete">Incomplete</div>
      <svg aria-hidden="true" class="arabesque-bottom" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 882.26 92.61">
        <defs>
          <style>
            .arabesque-bottom-1 {
              fill: var(--arabesque-top-shadow, #777);
            }

            .arabesque-bottom-2 {
              fill: var(--arabesque-top, #fff);
            }
          </style>
        </defs>
        <path class="arabesque-bottom-1"
          d="M882.26,22.88s0-.39,0-.7v-.7c-.18-1.23-.32-2.48-.38-3.74,0-.53,0-1.06,0-1.58q-.55-7.82-1.1-15.63H6.89v20H439.4c-4,12.46,13.16,39,28.16,38.93,7.91,0,9-8,20.25-14.88,15.77-9.64,30.83-3.85,44.92-3.06.19.26.39.53.57.81.58.89,3.91,6.19,1.68,10.6-1.64,3.21-6,5.47-8.07,4.21-1.43-.88-2.11-3.61-1.17-4.61a1.7,1.7,0,0,1,1.88-.42c.93.53.31,2.06,1.15,2.6s2.89-.42,3.59-1.93c.87-1.91-.55-4.47-2.22-5.68-2.66-1.93-7.07-1.23-9.48,1.47-2.59,2.89-1.83,7-.66,9.38,2,4,6.75,5.57,10.22,5.37C536.91,63,542.3,56,542.91,49.14a14.92,14.92,0,0,0-1.5-7.92,27,27,0,0,0,11.28-4.51A30.27,30.27,0,0,0,556.08,34a29.46,29.46,0,0,1,13.1,6.57c8.94,8.26,12.33,25.17,5,33.5-5.65,6.42-17.82,7.9-20.83,4.09-1.61-2-.85-5.85-.3-6s.57,3.13,2.67,4.37c2.59,1.54,7.83-.17,9.89-4,1.94-3.56.46-7.88-1.58-10.29-4.07-4.78-12.61-4.6-17.8-1.18-7.18,4.72-8.2,15.85-4.6,22.3,5.91,10.57,26.12,11.9,37.43,3.8,12.48-8.92,13-28.54,7.63-42.79,2,1.89,4,3.67,6.08,5.26C596,52.12,614,65.69,638.66,64.4c19.15-1,27.56-10.19,41.67-16.35,47-20.5,75.58,29,138.73,15.3,8.79-1.91,43.27-9.4,59.42-37.3a60.34,60.34,0,0,0,3.76-7.72C882.26,21.81,882.27,22.88,882.26,22.88Zm-242.83,20c-20.52.76-37.63-7.52-49.46-14,12.61.3,26.32-.22,33.75-.67,8.41-.5,16.06-1.32,23.73,3.17,4.53,2.64,7,5.9,10.51,7.89A56.72,56.72,0,0,1,639.43,42.9Z" />
        <path class="arabesque-bottom-1"
          d="M882.07,20.24c-.1-.83-.17-1.66-.21-2.5,0-.52,0-1,0-1.54a37.45,37.45,0,0,1-1.56-9.14A28.92,28.92,0,0,1,880.8.2H6.54v20H6.8C6.14,21.29,33.91,54.66,76.24,63,135.36,74.69,167.74,27.1,215,47.72c14.11,6.16,22.52,15.35,41.67,16.35,24.65,1.29,42.69-12.28,45.89-14.77,2.05-1.59,4.11-3.38,6.09-5.26-5.4,14.25-4.85,33.87,7.62,42.79,11.31,8.1,31.52,6.77,37.43-3.8,3.6-6.45,2.58-17.58-4.6-22.3-5.19-3.42-13.73-3.6-17.8,1.18-2,2.41-3.52,6.73-1.58,10.29,2.06,3.83,7.3,5.54,9.89,4,2.1-1.24,2.12-4.52,2.67-4.37s1.31,4-.3,6c-3,3.81-15.18,2.33-20.83-4.09-7.33-8.33-3.94-25.24,5-33.5a29.49,29.49,0,0,1,13.11-6.57,32.34,32.34,0,0,0,3.38,2.71,26.9,26.9,0,0,0,11.29,4.5,15.08,15.08,0,0,0-1.51,7.93c.61,6.87,6,13.84,12.69,14.22,3.47.2,8.2-1.34,10.22-5.37,1.17-2.35,1.93-6.49-.66-9.38-2.41-2.7-6.82-3.4-9.48-1.47-1.67,1.21-3.09,3.77-2.22,5.68.7,1.51,2.75,2.47,3.59,1.93s.22-2.07,1.15-2.6a1.67,1.67,0,0,1,1.88.42c.94,1,.26,3.73-1.17,4.61-2.07,1.26-6.43-1-8.07-4.21-2.23-4.41,1.1-9.71,1.68-10.6.19-.28.38-.55.58-.81,14.09-.79,29.14-6.59,44.91,3.06,11.25,6.88,12.34,14.83,20.25,14.88,15,.09,32.2-26.47,28.17-38.93ZM255.87,42.57A56.83,56.83,0,0,1,237.34,39c3.55-2,6-5.25,10.51-7.9,7.68-4.48,15.33-3.67,23.74-3.16,7.43.44,21.13,1,33.75.67C293.51,35.05,276.4,43.33,255.87,42.57Z" />
        <path class="arabesque-bottom-2"
          d="M881.86,17.74c0-.54,0-1.07,0-1.61a37.37,37.37,0,0,1-1.56-9.07,29,29,0,0,1,.49-6.73H.36V20.38h432.5c-4,12.46,13.17,39,28.17,38.93,7.91-.05,9-8,20.25-14.88,15.77-9.65,30.82-3.85,44.91-3.07.2.27.39.54.58.82.58.89,3.91,6.19,1.68,10.6-1.64,3.21-6,5.47-8.07,4.21-1.43-.88-2.11-3.61-1.17-4.61a1.67,1.67,0,0,1,1.88-.42c.93.53.31,2.06,1.15,2.6s2.89-.42,3.59-1.93c.87-1.91-.55-4.47-2.22-5.68-2.66-1.93-7.07-1.23-9.48,1.47-2.59,2.89-1.83,7-.66,9.38,2,4,6.75,5.57,10.22,5.37,6.69-.38,12.08-7.35,12.69-14.22A14.88,14.88,0,0,0,534.87,41a26.85,26.85,0,0,0,11.29-4.5,33.54,33.54,0,0,0,3.39-2.71,29.46,29.46,0,0,1,13.1,6.57c8.94,8.26,12.33,25.17,5,33.5C562,80.3,549.83,81.78,546.82,78c-1.61-2-.85-5.85-.3-6s.57,3.13,2.67,4.37c2.59,1.54,7.83-.17,9.89-4,1.94-3.56.46-7.88-1.58-10.29-4.07-4.78-12.61-4.6-17.8-1.18-7.18,4.72-8.2,15.85-4.6,22.3,5.91,10.57,26.12,11.9,37.43,3.8,12.47-8.93,13-28.54,7.62-42.79,2,1.88,4,3.67,6.09,5.26,3.2,2.49,21.24,16.06,45.89,14.77,19.15-1,27.56-10.19,41.67-16.35,47.24-20.62,79.61,27,138.73,15.3,42.33-8.36,70.1-41.73,69.44-42.78h.11C882,19.51,881.9,18.63,881.86,17.74Zm-249,25c-20.53.76-37.63-7.52-49.47-14,12.62.3,26.32-.23,33.75-.67,8.42-.51,16.06-1.33,23.74,3.16,4.53,2.65,7,5.9,10.51,7.9A57.09,57.09,0,0,1,632.9,42.71Z" />
        <path class="arabesque-bottom-2"
          d="M882.1,7.52c0-2.38,0-4.76-.06-7.12L0,0V20H.26C-.4,21.09,27.37,54.47,69.71,62.82c59.12,11.67,91.49-35.92,138.73-15.3,14.11,6.16,22.52,15.35,41.67,16.35C274.76,65.16,292.8,51.59,296,49.1a79,79,0,0,0,6.08-5.26c-5.4,14.25-4.85,33.87,7.63,42.79,11.31,8.1,31.52,6.77,37.43-3.8,3.6-6.45,2.58-17.58-4.6-22.3-5.19-3.42-13.73-3.6-17.8,1.18-2,2.41-3.52,6.73-1.58,10.29,2.06,3.83,7.3,5.54,9.89,4,2.1-1.24,2.12-4.52,2.67-4.37s1.31,4-.3,6c-3,3.81-15.18,2.33-20.83-4.09-7.33-8.33-3.94-25.24,5-33.5a29.46,29.46,0,0,1,13.1-6.57,30.27,30.27,0,0,0,3.39,2.71,27,27,0,0,0,11.28,4.51,14.92,14.92,0,0,0-1.5,7.92c.61,6.87,6,13.84,12.69,14.22,3.47.2,8.2-1.34,10.22-5.37,1.17-2.35,1.93-6.49-.66-9.38-2.41-2.7-6.82-3.4-9.48-1.47-1.67,1.21-3.09,3.77-2.22,5.68.7,1.51,2.75,2.47,3.59,1.93s.22-2.07,1.15-2.6A1.7,1.7,0,0,1,363,52c.94,1,.26,3.73-1.17,4.61-2.07,1.26-6.43-1-8.07-4.21-2.23-4.41,1.1-9.71,1.68-10.6.18-.28.38-.55.58-.81,14.08-.79,29.14-6.58,44.91,3.06C412.21,51,413.3,58.92,421.21,59c15,.1,32.2-26.47,28.17-38.93l432.72-.12Q882.15,13.77,882.1,7.52ZM249.34,42.37a56.72,56.72,0,0,1-18.53-3.62c3.55-2,6-5.25,10.51-7.89,7.67-4.49,15.32-3.67,23.73-3.17,7.44.45,21.14,1,33.75.67C287,34.85,269.87,43.13,249.34,42.37Z" />
      </svg>
    </div>

    <ul class="image-grid">
      <li *ngFor="let photo of item | photos">
        <img [attr.src]="photo" alt="" [appImageZoom]="photo">
      </li>
    </ul>

    <section class="item-field-section" *ngIf="item.features && item.features.length > 0">
      <h2>{{ 'ITEM.FIELDS.SECTIONS.FEATURES' | translate }}</h2>
      <div class="item-field-content">
        <ul>
          <li *ngFor="let feature of item.features">
            {{ feature.name }}
          </li>
        </ul>
      </div>
    </section>
    <section class="item-field-section" *ngIf="item.year">
      <h2>{{ 'ITEM.FIELDS.SECTIONS.YEAR' | translate }}</h2>
      <div class="item-field-content">
        <p>{{ item.year }}</p>
      </div>
    </section>
    <section class="item-field-section" *ngIf="item.japanese">
      <h2>{{ 'ITEM.FIELDS.SECTIONS.JAPANESE' | translate }}</h2>
      <div class="item-field-content">
        <p>{{ item.japanese }}</p>
      </div>
    </section>
    <section class="item-field-section" *ngIf="item.measurments">
      <h2>{{ 'ITEM.FIELDS.SECTIONS.MEASURMENTS' | translate }}</h2>
      <div class="item-field-content">
        <p [innerText]="item.measurments"></p>
      </div>
    </section>
    <section class="item-field-section" *ngIf="item.estimatedPrice">
      <h2>{{ 'ITEM.FIELDS.SECTIONS.ESTIMATED_PRICE' | translate }}</h2>
      <div class="item-field-content">
        <p>${{ item.estimatedPrice }}</p>
      </div>
    </section>
    <section class="item-field-section" *ngIf="item.keywords && item.keywords.length > 0">
      <h2>{{ 'ITEM.FIELDS.SECTIONS.KEYWORDS' | translate }}</h2>
      <div class="item-field-content">
        <ul>
          <li *ngFor="let keyword of item.keywords">
            {{ keyword }}
          </li>
        </ul>
      </div>
    </section>
    <section class="item-field-section" *ngIf="item.substyles && item.substyles.length > 0">
      <h2>{{ 'ITEM.FIELDS.SECTIONS.SUBSTYLES' | translate }}</h2>
      <div class="item-field-content">
        <ul>
          <li *ngFor="let substyle of item.substyles">
            {{ substyle }}
          </li>
        </ul>
      </div>
    </section>
    <div class="shop-link" *ngIf="item.brand.shop">
      <p>{{ 'ITEM.SHOP_LINK' | translate }}</p>
      <div class="shop-link-content">
        <svg>
          <use href="#shop"></use>
        </svg>
        <a app-button color="primary" [attr.href]="item.brand.shop" target="_blank" rel="noopener noreferrer">
          <span>{{ item.brand.shop }}</span>
        </a>
      </div>
    </div>
    <ul class="app-clouds-wrapper">
      <li app-cloud-container *ngFor="let variant of item.variants" class="alternate-ff fw-normal">
        <button app-button color="default" class="circle small no-shadow add-to-closet" appInCloset [item]="item" [variant]="variant" #inCloset="inCloset">
          <span class="visualy-hidden" [innerHTML]="'ITEM.ADD_TO_CLOSET' | translate"></span>
          <svg [class.grayscale]="!inCloset.isIn">
            <use xlink:href="#add_to_closet" />
          </svg>
        </button>
        <ng-container *ngFor="let color of variant.colors; let isLast = last">
          <span>{{ color.name }}</span>
          <span *ngIf="!isLast">,&nbsp;</span>
        </ng-container>
        <button app-button color="default" class="circle small no-shadow add-to-wishlist" appInWishlist [item]="item" [variant]="variant" #inWishlist="inWishlist">
          <span class="visualy-hidden" [innerHTML]="'ITEM.ADD_TO_WISHLIST' | translate"></span>
          <svg [class.grayscale]="!inWishlist.isIn">
            <use xlink:href="#add_to_wishlist" />
          </svg>
        </button>
      </li>
    </ul>
    <section *ngIf="relatedItems.length > 0" class="related-items">
      <h2>{{ 'ITEM.RELATED.TITLE' | translate }}</h2>
      <div class="slide-container">
        <div class="slide" *ngFor="let item of relatedItems; trackBy: trackByFn">
          <article class="item">
            <a [routerLink]="['/item', item._id]" class="img-container">
              <img [attr.src]="item | itemPhoto" appImageLoad alt="Item colorway photo">
            </a>
            <div class="actions">
              <button app-button class="circle very-small no-shadow no-background" [tadaSize]="36" color="primary" appInCloset [item]="item" [variant]="item.variants[0]"
                #inCloset="inCloset">
                <span class="visualy-hidden">{{ 'ITEM.ACTIONS.ADD_TO_CLOSET' | translate }}</span>
                <svg [class.grayscale]="!inCloset.isIn">
                  <use xlink:href="#add_to_closet" />
                </svg>
              </button>
              <button app-button class="circle very-small no-shadow no-background" [tadaSize]="36" color="primary" appInWishlist [item]="item" [variant]="item.variants[0]"
                #inWishlist="inWishlist">
                <span class="visualy-hidden">{{ 'ITEM.ACTIONS.ADD_TO_WISHLIST' | translate }}</span>
                <svg [class.grayscale]="!inWishlist.isIn">
                  <use xlink:href="#add_to_wishlist" />
                </svg>
              </button>
            </div>
          </article>
        </div>
      </div>
    </section>
  </div>
</ng-container>

<ng-template #formTemplate>
  <form [formGroup]="form" (ngSubmit)="onSubmit()" class="edit-form">
    <p [innerHTML]="'ITEM.REQUIRED_TEXT' | translate"></p>
    <app-form-field>
      <label appLabel>
        {{ 'ITEM.FIELDS.LABELS.BRAND' | translate }}
      </label>
      <ng-select appInput formControlName="brand" [items]="brands" bindLabel="name" [searchFn]="searchFn" [addTag]="addCustomBrand" [addTagText]="'ITEM.ADD_TAG.BRAND' | translate"
        required>
        <ng-template ng-option-tmp let-item="item">
          <span *ngIf="!item.shortname">{{ item.name }}</span>
          <span *ngIf="item.shortname">{{ item.name }} ({{ item.shortname }})</span>
        </ng-template>
      </ng-select>
      <p class="error visualy-hidden" *ngIf="brand.errors?.required">{{ 'FORM.ERRORS.REQUIRED' | translate }}</p>
    </app-form-field>
    <app-form-field>
      <label appLabel>
        {{ 'ITEM.FIELDS.LABELS.COLLECTIONN' | translate }}
      </label>
      <app-details class="right">
        <span summary class="visualy-hidden">{{ 'ITEM.DETAILS.HOW_TO' | translate }}</span>
        <div class="details-content">
          <p [innerHTML]="'ITEM.HELPS.COLLECTION' | translate"></p>
        </div>
      </app-details>
      <input type="text" appInput formControlName="collectionn">
    </app-form-field>
    <app-form-field>
      <label appLabel>
        {{ 'ITEM.FIELDS.LABELS.CATEGORY' | translate }}
      </label>
      <ng-select appInput formControlName="category" [items]="categories" [searchFn]="searchFn" bindLabel="name" required>
        <ng-template ng-option-tmp let-item="item">
          <span [ngClass]="item._lvlClass">
            <span *ngIf="!item.shortname">{{ item.name }}</span>
            <span *ngIf="item.shortname">{{ item.name }} ({{ item.shortname }})</span>
          </span>
        </ng-template>
      </ng-select>
      <p class="error visualy-hidden" *ngIf="category.errors?.required">{{ 'FORM.ERRORS.REQUIRED' | translate }}</p>
    </app-form-field>
    <app-form-field>
      <label appLabel>
        {{ 'ITEM.FIELDS.LABELS.FEATURES' | translate }}
      </label>
      <ng-select appInput formControlName="features" [items]="availableFeatures" [multiple]="true" bindLabel="name">
        <ng-template ng-notfound-tmp>
          <div class="ng-option ng-option-disabled" [innerHTML]="'ITEM.FIELDS.NOT_FOUND.FEATURES' | translate"></div>
        </ng-template>
        <ng-template ng-option-tmp let-item="item">
          <span>{{ item.name }}</span>
        </ng-template>
        <ng-template ng-label-tmp let-item="item" let-clear="clear">
          <span class="ng-value-content">
            <span class="ng-value-icon left" (click)="clear(item);" aria-hidden="true">×</span>
            <span class="ng-value-label">
              {{ item.name }}
            </span>
          </span>
        </ng-template>
      </ng-select>
      <p class="error visualy-hidden" *ngIf="features.errors?.required">{{ 'FORM.ERRORS.REQUIRED' | translate }}</p>
    </app-form-field>
    <ng-container formArrayName="variants">
      <app-fieldset *ngFor="let variant of variants.controls; let i = index" [formGroupName]="i" [legend]="'ITEM.FIELDS.LEGENDS.VARIANT' | translate:{i: i+1}" [opened]="true"
        #fieldset>
        <app-form-field>
          <label appLabel>
            {{ 'ITEM.FIELDS.LABELS.COLORS' | translate }}
          </label>
          <ng-select appInput formControlName="colors" [items]="colors" [virtualScroll]="true" [multiple]="true" [maxSelectedItems]="2" bindLabel="name"
            (changeEvent)="additionalFields.onContentChange()" required>
            <ng-template ng-option-tmp let-item="item">
              {{ item.name }}
              <span class="color-display" aria-hidden="true" [ngStyle]="{background: item.hex}"></span>
            </ng-template>
            <ng-template ng-label-tmp let-item="item" let-clear="clear">
              <span class="ng-value-content">
                <span class="ng-value-icon left" (click)="clear(item);" aria-hidden="true">×</span>
                <span class="ng-value-label">
                  {{ item.name }}
                  <span class="color-display" aria-hidden="true" [ngStyle]="{background: item.hex}"></span>
                </span>
              </span>
            </ng-template>
          </ng-select>
          <p class="error visualy-hidden" *ngIf="variants.controls[i].get('colors')?.errors?.required">{{ 'FORM.ERRORS.REQUIRED' | translate }}</p>
        </app-form-field>
        <ng-container *ngTemplateOutlet="photos; context: {$implicit: variant.get('photos'), i: i, variant: variant, fieldset: fieldset}"></ng-container>
        <button *ngIf="!(variants.length === 1 && i === 0)" app-button color="discreet" class="discreet very-small no-shadow fw-normal remove-variant" (click)="removeVariant(i)">
          <span>{{ 'ITEM.REMOVE_VARIANT' | translate }}</span>
        </button>
      </app-fieldset>
      <button type="button" app-button color="primary" class="small fw-normal add-variant" (click)="addVariant()">
        <span>{{ 'ITEM.ADD_VARIANT' | translate }}</span>
        <span class="add-icon small"></span>
      </button>
    </ng-container>

    <app-fieldset [legend]="'ITEM.FIELDS.LEGENDS.ADDITIONALS' | translate" class="additional-fields" #additionalFields>
      <p [innerHTML]="'ITEM.HELPS.ADDITONALS' | translate"></p>
      <app-form-field>
        <label appLabel>
          {{ 'ITEM.FIELDS.LABELS.YEAR' | translate }}
        </label>
        <input type="number" appInput formControlName="year" min="1970" max="10000" placeholder="Ex: 2020">
      </app-form-field>
      <app-form-field>
        <label appLabel>
          {{ 'ITEM.FIELDS.LABELS.JAPANESE' | translate }}
        </label>
        <input type="text" appInput formControlName="japanese">
      </app-form-field>
      <app-form-field>
        <label appLabel>
          {{ 'ITEM.FIELDS.LABELS.MEASURMENTS' | translate }}
        </label>
        <textarea formControlName="measurments" appInput rows="5"></textarea>
      </app-form-field>
      <app-form-field>
        <label appLabel>
          {{ 'ITEM.FIELDS.LABELS.ESTIMATED_PRICE' | translate }}
        </label>
        <div class="layout align-center">
          <input type="number" appInput formControlName="estimatedPrice" class="price-input">
          <span>$</span>
        </div>
      </app-form-field>
      <app-form-field>
        <label appLabel>
          {{ 'ITEM.FIELDS.LABELS.KEYWORDS' | translate }}
        </label>
        <app-details class="right">
          <span summary class="visualy-hidden">{{ 'ITEM.DETAILS.HOW_TO' | translate }}</span>
          <div class="details-content">
            <p [innerHTML]="'ITEM.HELPS.KEYWORDS' | translate"></p>
          </div>
        </app-details>
        <ng-select appInput formControlName="keywords" [multiple]="true" [items]="[]" [addTag]="true" [addTagText]="'ITEM.ADD_TAG.KEYWORDS' | translate" [selectOnTab]="true"
          (changeEvent)="additionalFields.onContentChange()">
          <ng-template ng-notfound-tmp>
            <div class="ng-option ng-option-disabled" [innerHTML]="'ITEM.NOT_FOUND_TEXT.KEYWORDS' | translate"></div>
          </ng-template>
          <ng-template ng-label-tmp let-item="item" let-clear="clear">
            <span class="ng-value-content">
              <span class="ng-value-icon left" (click)="clear(item);" aria-hidden="true">×</span>
              <span class="ng-value-label">
                {{ item }}
              </span>
            </span>
          </ng-template>
        </ng-select>
      </app-form-field>
      <app-form-field>
        <label appLabel>
          {{ 'ITEM.FIELDS.LABELS.SUBSTYLES' | translate }}
        </label>
        <app-details class="right">
          <span summary class="visualy-hidden">{{ 'ITEM.DETAILS.HOW_TO' | translate }}</span>
          <div class="details-content">
            <p [innerHTML]="'ITEM.HELPS.SUBSTYLES' | translate"></p>
          </div>
        </app-details>
        <ng-select appInput formControlName="substyles" [multiple]="true" [items]="substyles" [addTag]="true" [addTagText]="'ITEM.ADD_TAG.SUBSTYLES' | translate"
          [selectOnTab]="true" (changeEvent)="additionalFields.onContentChange()">
          <ng-template ng-label-tmp let-item="item" let-clear="clear">
            <span class="ng-value-content">
              <span class="ng-value-icon left" (click)="clear(item);" aria-hidden="true">×</span>
              <span class="ng-value-label">
                {{ item }}
              </span>
            </span>
          </ng-template>
        </ng-select>
      </app-form-field>
    </app-fieldset>

    <button type="button" *ngIf="!isNew" app-button class="circle small cancel-button" color="default" (click)="cancel()">
      <span class="visualy-hidden">{{ 'ITEM.CANCEL' | translate }}</span>
      <span class="clear-icon very-small"></span>
    </button>

    <div class="layout align-center actions">
      <button type="submit" app-button [class.circle]="!isDesktop" color="accent" *ngIf="form" [disabled]="(form.invalid && editable) || forceDisabled">
        <span [class.visualy-hidden]="!isDesktop">{{ 'ITEM.SUBMIT' | translate }}</span>
        <svg aria-hidden="true" *ngIf="!displayLoader">
          <use xlink:href="#save-icon" />
        </svg>
        <app-simple-loader class="accent" *ngIf="displayLoader" [height]="24"></app-simple-loader>
      </button>

      <button app-button type="button" color="warn" class="fw-normal delete-item" *ngIf="!isNew" (click)="openDeleteModal()">
        {{ 'ITEM.DELETE' | translate }}
      </button>
    </div>
  </form>
</ng-template>

<button type="button" app-button class="circle duplicate" *ngIf="!isNew" (click)="duplicate()">
  <span class="visualy-hidden">{{ 'ITEM.DUPLICATE' | translate }}</span>
  <svg>
    <use xlink:href="#content-copy" />
  </svg>
</button>

<button type="button" app-button class="circle toggle-edit" color="accent" *ngIf="!editing && editable" (click)="toggleEditMode()">
  <span class="visualy-hidden">{{ 'ITEM.TOGGLE_EDIT_MODE' | translate }}</span>
  <svg id="modify_icon">
    <use xlink:href="#modify-icon" />
  </svg>
</button>

<ng-template #photos let-photos let-variant="variant" let-i="i" let-fieldset="fieldset">
  <ng-container [formGroup]="variant">
    <div role="group" aria-labelledby="photos-legend" formArrayName="photos" class="relative photos-fieldset">
      <div id="photos-legend" class="legend">Photos</div>
      <app-details class="right photos-details">
        <span summary class="visualy-hidden">{{ 'ITEM.DETAILS.HOW_TO' | translate }}</span>
        <div class="details-content">
          <p [innerHTML]="'ITEM.HELPS.PHOTO' | translate"></p>
        </div>
      </app-details>
      <ul class="mel-upload-images">
        <li *ngFor="let photo of photos.controls; let j = index; let total = count" [ngStyle]="{ 'flex-basis.px': melUploadImage.width }">
          <mel-upload-image (imageChange)="ensureEmptyPhoto(variant); wrongImage(photo)" [key]="item && item._id || 'tmp-create'" [formControlName]="j"
            #melUploadImage="melUploadImage" [required]="j === 0">
            <div class="mel-up-img-actions" *ngIf="melUploadImage.value && !(j === 0 && total === 2)">
              <span *ngIf="photo.invalid">{{ 'UPLOAD_IMAGE.INVALID' | translate }}</span>
              <button type="button" app-button color="primary" class="very-small no-shadow fw-normal" (click)="removePhoto(variant, j)">
                <span>{{ 'UPLOAD_IMAGE.REMOVE' | translate }}</span>
              </button>
            </div>
          </mel-upload-image>
        </li>
      </ul>
    </div>
  </ng-container>
</ng-template>

<ng-template #deleteItemModal let-ref let-data="data">
  <app-default-dialog-content [ref]="ref">
    <div [appDialognInnerContent]="ref" [padding]="32">
      <form class="delete-form" [formGroup]="deleteForm" (ngSubmit)="deleteItem(ref)">
        <p [innerHTML]="'ITEM.DELETE_PARAGRAPH' | translate:{id: id}"></p>
        <app-form-field>
          <label appLabel>{{ 'ITEM.FIELDS.LABELS.DELETE_ITEM_ID' | translate }}</label>
          <input type="text" formControlName="id" appInput required autocomplete="off">
        </app-form-field>
        <div class="actions layout space-between">
          <button type="button" app-button class="small fw-normal" color="default" (click)="ref.close()">
            {{ 'ITEM.MODAL.CANCEL' | translate }}
          </button>
          <button type="submit" app-button class="small fw-normal" color="warn" [disabled]="deleteForm.invalid">
            {{ 'ITEM.MODAL.SUBMIT' | translate }}
          </button>
        </div>
      </form>
    </div>
  </app-default-dialog-content>
</ng-template>
